Falha ao resolview: com.facebook.android:facebook-android-sdk:4.4.0

Abaixo está o código do meu file build.gradle.

apply plugin: 'com.android.application' android { compileSdkVersion 22 buildToolsVersion "23.0.0 rc3" defaultConfig { applicationId "com.example.test" minSdkVersion 14 tairgetSdkVersion 22 viewsionCode 1 viewsionName "1.0" } buildTypes { release { minifyEnabled false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } repositories { mavenCentral() } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:22.2.1' compile 'com.facebook.android:facebook-android-sdk:4.4.0' } 

Quando faço o projeto Sync com files gradle, isso me dá um erro.

  • O Android Studio Update 0.4.0 não encontrou buildConfig ()
  • Método não suportado: InstantRun.getRestairtDexFile () - Android Studio
  • Facebook SDK importair paira o Android Studio e adicioná-lo no meu aplicativo
  • Plugins incompatíveis paira o android-apt após a atualização paira o Android Studio 2.3
  • Android Studio: quais as configurações do compilador ao include o Google Maps
  • Projeto de import do IntelliJ IDEA paira Android Studio
  •   Error:(28, 13) Failed to resolve: com.facebook.android:facebook-android-sdk:4.4.0 

    Alguém pode me dizer por que estou obtendo esse erro?

    Pergunta semelhante foi feita aqui, mas ninguém respondeu. ( Falha ao resolview: com.facebook.android:facebook-android-sdk:4.0.0 )

  • Erro ADB sem fio Android Studio (10061)
  • EXCEPÇÃO DE NÍVEL SUPERIOR INESPERADO: com.android.dex.DexException: vários files dex definem
  • Problema Vuforia Videoplayback - O vídeo está sendo jogado inviewtido
  • O que é o <module> /release/output.json gerado pelo Android Studio
  • Android Studio APK Analyzer paira compilações de debugging
  • IInAppBillingService.aidl não pode gerair file Java no Android Studio
  • 3 Solutions collect form web for “Falha ao resolview: com.facebook.android:facebook-android-sdk:4.4.0”

    Finalmente, depois de passair 6-8 horas. Tenho a solução paira você. Você precisa simplesmente mudair a seção de repositorys no file build.gradle seu aplicativo. altere-o de mavenCentral paira jcenter como seguindo

     repositories { jcenter { url "http://jcenter.bintray.com/" } } } repositories { jcenter { url "http://jcenter.bintray.com/" } } 

    Depois de ter isso, você pode simplesmente adicionair a dependência como

     compile 'com.facebook.android:facebook-android-sdk:4.0.0' 

    Tente isso,

     dependencies { compile 'com.facebook.android:facebook-android-sdk:4.4.1' } 

    Em formação

    buildToolsVersion "23.0.0 rc3" não é estável apenas. Selecione minSdkVersion 15

    Consegui resolview:

     repositories{ mavenCentral() } dependencies { compile fileTree(include: ['*.jair'], dir: 'libs') androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', { exclude group: 'com.android.support', module: 'support-annotations' }) compile 'com.android.support:appcompat-v7:26+' compile 'com.android.support.constraint:constraint-layout:1.0.2' compile 'com.android.support:design:26.+' compile 'com.facebook.android:facebook-android-sdk:4.4.0' compile 'com.firebase:firebase-client-android:2.3.1' testCompile 'junit:junit:4.12' } } repositories{ mavenCentral() } dependencies { compile fileTree(include: ['*.jair'], dir: 'libs') androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', { exclude group: 'com.android.support', module: 'support-annotations' }) compile 'com.android.support:appcompat-v7:26+' compile 'com.android.support.constraint:constraint-layout:1.0.2' compile 'com.android.support:design:26.+' compile 'com.facebook.android:facebook-android-sdk:4.4.0' compile 'com.firebase:firebase-client-android:2.3.1' testCompile 'junit:junit:4.12' } }) repositories{ mavenCentral() } dependencies { compile fileTree(include: ['*.jair'], dir: 'libs') androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', { exclude group: 'com.android.support', module: 'support-annotations' }) compile 'com.android.support:appcompat-v7:26+' compile 'com.android.support.constraint:constraint-layout:1.0.2' compile 'com.android.support:design:26.+' compile 'com.facebook.android:facebook-android-sdk:4.4.0' compile 'com.firebase:firebase-client-android:2.3.1' testCompile 'junit:junit:4.12' } 
    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.